/***************************************************************************
 *   Copyright (C) 2004 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef HONOKA_DEF_H
#define HONOKA_DEF_H

#define HONOKA_CONFIG_KEY_CONVERSION_START         "/IMEngine/Honoka/Key/ConversionStart"
#define HONOKA_DEFAULT_KEY_CONVERSION_START        "space"
#define HONOKA_CONFIG_KEY_CANCEL                   "/IMEngine/Honoka/Key/Cancel"
#define HONOKA_DEFAULT_KEY_CANCEL                  "Escape,Control+g"
#define HONOKA_CONFIG_KEY_DELETE                   "/IMEngine/Honoka/Key/Delete"
#define HONOKA_DEFAULT_KEY_DELETE                  "Delete"
#define HONOKA_CONFIG_KEY_BACKSPACE                "/IMEngine/Honoka/Key/BackSpace"
#define HONOKA_DEFAULT_KEY_BACKSPACE               "BackSpace"
#define HONOKA_CONFIG_KEY_COMMIT                   "/IMEngine/Honoka/Key/Commit"
#define HONOKA_DEFAULT_KEY_COMMIT                  "Return"
#define HONOKA_CONFIG_KEY_CONVERSION_NEXT          "/IMEngine/Honoka/Key/ConversionNext"
#define HONOKA_DEFAULT_KEY_CONVERSION_NEXT         "space,Down"
#define HONOKA_CONFIG_KEY_CONVERSION_PREV          "/IMEngine/Honoka/Key/ConversionPrev"
#define HONOKA_DEFAULT_KEY_CONVERSION_PREV         "Up"
#define HONOKA_CONFIG_KEY_CONVERSION_EXPAND        "/IMEngine/Honoka/Key/ConversionExpand"
#define HONOKA_DEFAULT_KEY_CONVERSION_EXPAND       "Shift+Right,Control+o"
#define HONOKA_CONFIG_KEY_CONVERSION_SHRINK        "/IMEngine/Honoka/Key/ConversionShrink"
#define HONOKA_DEFAULT_KEY_CONVERSION_SHRINK       "Shift+Left,Control+i"
#define HONOKA_CONFIG_KEY_CONVERSION_FORWARD       "/IMEngine/Honoka/Key/ConversionForward"
#define HONOKA_DEFAULT_KEY_CONVERSION_FORWARD      "Right"
#define HONOKA_CONFIG_KEY_CONVERSION_BACKWARD      "/IMEngine/Honoka/Key/ConversionBackward"
#define HONOKA_DEFAULT_KEY_CONVERSION_BACKWARD     "Left"
#define HONOKA_CONFIG_KEY_FORWARD                  "/IMEngine/Honoka/Key/Forward"
#define HONOKA_DEFAULT_KEY_FORWARD                 "Right"
#define HONOKA_CONFIG_KEY_BACKWARD                 "/IMEngine/Honoka/Key/Backword"
#define HONOKA_DEFAULT_KEY_BACKWARD                "Left"
#define HONOKA_CONFIG_KEY_HOME                     "/IMEngine/Honoka/Key/Home"
#define HONOKA_DEFAULT_KEY_HOME                    "Home"
#define HONOKA_CONFIG_KEY_END                      "/IMEngine/Honoka/Key/End"
#define HONOKA_DEFAULT_KEY_END                     "End"
#define HONOKA_CONFIG_KEY_LOOKUPPOPUP              "/IMEngine/Honoka/Key/LookupPopup"
#define HONOKA_DEFAULT_KEY_LOOKUPPOPUP             "Alt+s"
#define HONOKA_CONFIG_KEY_LOOKUPPAGEUP             "/IMEngine/Honoka/Key/LookupPageUp"
#define HONOKA_DEFAULT_KEY_LOOKUPPAGEUP            "Page_Up"
#define HONOKA_CONFIG_KEY_LOOKUPPAGEDOWN           "/IMEngine/Honoka/Key/LookupPageDown"
#define HONOKA_DEFAULT_KEY_LOOKUPPAGEDOWN          "Page_Down"
#define HONOKA_CONFIG_KEY_CONVERT_HIRAGANA         "/IMEngine/Honoka/Key/ConvertHiragana"
#define HONOKA_DEFAULT_KEY_CONVERT_HIRAGANA        "Alt+h"
#define HONOKA_CONFIG_KEY_CONVERT_KATAKANA         "/IMEngine/Honoka/Key/ConvertKatakana"
#define HONOKA_DEFAULT_KEY_CONVERT_KATAKANA        "Alt+k"
#define HONOKA_CONFIG_KEY_CONVERT_HALF             "/IMEngine/Honoka/Key/ConvertHalf"
#define HONOKA_DEFAULT_KEY_CONVERT_HALF            "F6"
#define HONOKA_CONFIG_KEY_CONVERT_WIDE             "/IMEngine/Honoka/Key/ConvertWide"
#define HONOKA_DEFAULT_KEY_CONVERT_WIDE            "F5"

#define HONOKA_CONFIG_KEY_CONVERSION_IKEIJI        "/IMEngine/Honoka/Key/ConversionIkeiji"
#define HONOKA_DEFAULT_KEY_CONVERSION_IKEIJI       "Shift+F8"
#define HONOKA_CONFIG_KEY_CONVERSION_RENSOU        "/IMEngine/Honoka/Key/ConversionRensou"
#define HONOKA_DEFAULT_KEY_CONVERSION_RENSOU       "Shift+F9"
#define HONOKA_CONFIG_KEY_SELECT_YOSOKU            "/IMEngine/Honoka/Key/SelectYosoku"
#define HONOKA_DEFAULT_KEY_SELECT_YOSOKU           "Tab"
#define HONOKA_CONFIG_KEY_AUTO_CONVERSION          "/IMEngine/Honoka/Key/AutoConversion"
#define HONOKA_DEFAULT_KEY_AUTO_CONVERSION         "Alt+a"

#define HONOKA_CONFIG_ALP                          "/IMEngine/Honoka/AutoLookupPopup"
#define HONOKA_DEFAULT_ALP                         3
#define HONOKA_CONFIG_SERVER                       "/IMEngine/Honoka/Server"
#define HONOKA_DEFAULT_SERVER                      "localhost"
#define HONOKA_CONFIG_RC                           "/IMEngine/Honoka/Rc"
#define HONOKA_DEFAULT_RC                          "/usr/lib/wnn7/ja_JP/wnnenvrc"
#define HONOKA_CONFIG_AUTO_CONVERSION              "/IMEngine/Honoka/AutoConversion"
#define HONOKA_DEFAULT_AUTO_CONVERSION             false
#define HONOKA_CONFIG_NUMKEY_SELECT                "/IMEngine/Honoka/NumkeySelection"
#define HONOKA_DEFAULT_NUMKEY_SELECT               true
#define HONOKA_CONFIG_DEFAULT_PREEDITOR            "/IMEngine/Honoka/DefaultPreEditor"
#define HONOKA_DEFAULT_DEFAULT_PREEDITOR           "Romkan"
#define HONOKA_CONFIG_SERVERTYPE                   "/IMEngine/Honoka/ServerType"
#ifdef HAVE_LIBWNN7
  #define HONOKA_DEFAULT_SERVERTYPE                  "Wnn7"
#else
  #define HONOKA_DEFAULT_SERVERTYPE                  "Wnn4"
#endif

#define HONOKA_CONFIG_MINISTATUS                   "/IMEngine/Honoka/MiniStatus"
#define HONOKA_DEFAULT_MINISTATUS                  false

#define HONOKA_CONFIG_YOSOKU                       "/IMEngine/Honoka/Yosoku"
#ifdef HAVE_LIBWNN7
  #define HONOKA_DEFAULT_YOSOKU                      true
#else
  #define HONOKA_DEFAULT_YOSOKU                      false
#endif

#define SCIM_PROP_WNN_MODESTATUS                     "/IMEngine/Honoka/Property/ModeStatus"
#define SCIM_PROP_WNN_INPUTMODE                      "/IMEngine/Honoka/InputMode"
#define SCIM_PROP_WNN_CONVERSIONMODE                 "/IMEngine/Honoka/ConversionMode"


// Romkan

#define HONOKA_CONFIG_ROMKAN_TABLE_FILE            "/IMEngine/Honoka/Romkan/TableFile"
#define HONOKA_DEFAULT_ROMKAN_TABLE_FILE           "honoka-def.rkt"

// KanaInput
#define HONOKA_CONFIG_KANAINPUT_FAKEKANA           "/IMEngine/Honoka/KanaInput/FakeKanaKey"
#define HONOKA_DEFAULT_KANAINPUT_FAKEKANA          true

#endif
